For the complete documentation index, see llms.txt. This page is also available as Markdown.

Получение информации об ордере

Метод позволяет получить информацию по ранее созданному ордеру по его идентификатору в системе

Получение информации об ордере

post
Header parameters
x-api-public-keystringOptional

Публичный API-ключ

x-api-signaturestringOptional

Подпись тела запроса приватным API-ключем

Content-typestringOptional

Тип тела запроса

Example: application/json
Body

Тело запроса информации по ордеру

orderIdstringOptional

Идентификатор ордера в системе

Example: 637564cf-3d7c-4ea3-9994-6ac908da53cf
Responses
200Success
application/json

Успешный ответ

successbooleanRequired

Признак успешности запроса

post/api-gateway/order
POST /api-gateway/order HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 50

{
  "orderId": "637564cf-3d7c-4ea3-9994-6ac908da53cf"
}
200Success
{
  "success": true,
  "response": {
    "id": "637564cf-3d7c-4ea3-9994-6ac908da53cf",
    "currency": "USDT",
    "network": "ethereum",
    "status": "pending",
    "orderId": "Order #123456",
    "description": "Payment by order #123456",
    "address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
    "addressId": "bd0b179d-6ae3-4516-bd85-243a82b2a87a",
    "tag": null,
    "amount": "123.12",
    "received": "100.32",
    "paymentTolerancePercent": "1.5",
    "successWebhook": "https://merchant.domain/webhooks/success",
    "errorWebhook": "https://merchant.domain/webhooks/fail",
    "returnUrl": "https://merchant.domain/",
    "link": "https://payment.domain/637564cf-3d7c-4ea3-9994-6ac908da53cf",
    "expiresAt": "2026-01-29T11:44:13.702Z",
    "createdAt": "2026-01-29T11:14:13.702Z",
    "updatedAt": "2026-01-29T11:14:13.702Z",
    "transactions": [
      {
        "id": "846309f6-6c11-4a51-b3b9-cdb902cb066f",
        "status": "processed",
        "currency": "USDT",
        "network": "ethereum",
        "amount": "100.32",
        "tx": "0xb502e6ba8745a99f3484d75c027c55cacc26d6342b3a129f97d802899435ef12",
        "confirmations": 1,
        "sender": "0x00000005707bf50efa35a2db020ede9ac08ae226",
        "priceUSD": "2000",
        "amountUSD": "100"
      }
    ],
    "orphanDeposits": [
      {
        "id": "7bfa73d2-0b2e-4237-aeee-f82868dece32",
        "organizationId": "c50e0415-e51c-4caa-a4cf-e4c87ec00079",
        "orderId": "637564cf-3d7c-4ea3-9994-6ac908da53cf",
        "stage": "WITHDRAWAL",
        "status": "PENDING",
        "message": null,
        "currency": "BUSD",
        "network": "bsc",
        "amount": "200",
        "canWithdrawal": true,
        "inTransaction": {
          "addressType": "PAY_IN",
          "addressId": "bd0b179d-6ae3-4516-bd85-243a82b2a87a",
          "address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
          "txId": "0x123456...",
          "amount": "200",
          "status": "processed"
        },
        "outTransactions": {
          "address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
          "txId": "0x123456...",
          "amount": "200",
          "status": "processed",
          "feeAmount": "1.2",
          "feeAmountUSD": "1.22",
          "withdrawalId": "bc45b266-33de-4ce2-ab59-ca9f9c23ceb2",
          "createdAt": "2026-01-30T11:14:13.702Z"
        },
        "createdAt": "2026-01-29T11:14:13.702Z"
      }
    ]
  }
}

Last updated